Bug 226140 - Merge Review: microcode_ctl
Merge Review: microcode_ctl
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: microcode_ctl (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anton Arapov
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:40 EST by Nobody's working on this, feel free to take it
Modified: 2016-01-12 09:48 EST (History)
6 users (show)

See Also:
Fixed In Version: microcode_ctl-2.1-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 09:48:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec cleanup as per current packaging guidelines (1.83 KB, patch)
2013-11-14 07:57 EST, Parag AN(पराग)
no flags Details | Diff

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:40:31 EST
Fedora Merge Review: microcode_ctl

http://cvs.fedora.redhat.com/viewcvs/devel/microcode_ctl/
Initial Owner: jcm@redhat.com
Comment 1 Parag AN(पराग) 2013-11-12 04:16:57 EST
Anton,
  I see from changelog you did some few updates. So here I am suggesting some changes in spec that are required as per current packaging guidelines.

1) Group and Buildroot tag is not needed now. Remove those lines.

2) removal of buildroot in %install not needed
rm -rf %{buildroot}

3) %clean is not needed

4) make command and your %files section should use macros. Below is %files section 
%files
%{_sbindir}/intel-microcode2ucode
/%{_lib}/firmware/*
%doc /usr/share/doc/microcode_ctl/*

5) rpmlint on rpms show
microcode_ctl.x86_64: W: summary-ended-with-dot C Tool to transform and deploy CPU microcode update for x86.
=> remove ending dot in summary

fix above issues. Build new package in master.
Comment 2 Anton Arapov 2013-11-12 04:57:31 EST
Please prepare the patch against the upstream tree(*) - I will review it and apply later on if everything is ok.

* https://git.fedorahosted.org/cgit/microcode_ctl.git/tree/microcode_ctl.spec?h=obsolete
Comment 3 Parag AN(पराग) 2013-11-14 07:57:01 EST
Created attachment 823930 [details]
spec cleanup as per current packaging guidelines
Comment 4 Parag AN(पराग) 2014-02-16 23:39:41 EST
any update here?
Comment 5 Anton Arapov 2014-03-05 08:01:41 EST
Oh, overlooked the patch you've attached last year. Apologizes.
I will push it upstream a bit later.
Thanks!
Comment 6 Parag AN(पराग) 2014-03-05 08:32:49 EST
The general workflow for any kind of (merge/package/rename) review is to keep review bug assigned to the person who is going to finally approve the review.

But for tracking purposes if you want this review bug assigned to you then its ok just don't forget to assign me back once you done with package update for further package review.
Comment 7 Parag AN(पराग) 2014-03-26 10:10:25 EDT
ping any updates? or allow to commit the patch to me.
Comment 8 Cole Robinson 2015-02-11 15:37:54 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 9 Jan Kurik 2015-07-15 11:25:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 10 Anton Arapov 2016-01-12 09:48:55 EST
The issues from the Comment#1 have been addressed.

Note You need to log in before you can comment on or make changes to this bug.